﻿using System;
using Routine_Manager.Settings;
using ff14bot.Interfaces;
using TreeSharp;

namespace Routine_Manager
{
    public class CrManager : IBotPlugin
    {
        public string Author { get { return "newb23"; } }
        public Version Version { get { return new Version(1, 0, 0); } }
        public string Name { get { return "CRManager"; } }
        public string Description { get { return "Use to change your CR on the fly!"; } }
        public string ButtonText { get { return "CR Select"; } }
        public bool WantButton { get { return true; } }


        public bool Equals(IBotPlugin other)
        {
            throw new NotImplementedException();
        }

        public void OnButtonPress()
        {
            if (_form == null || _form.IsDisposed || _form.Disposing)
                _form = new CRManagerForm();

            _form.ShowDialog();
        }

        public void OnPulse()
        {

        }

        public void OnInitialize()
        {            

        }

        public void OnShutdown()
        {
            Logger.Log("Disabled");
        }

        public void OnEnabled()
        {
            Logger.Log("Enabled");

        }

        public void OnDisabled()
        {
            Logger.Log("Disabled");
        }

        //Variables / Declarations
        private CRManagerForm _form;
        public static CRManagerSettings settings = CRManagerSettings.instance;
        private Composite _root;
    }
}
