﻿using ff14bot.Helpers;
using Newtonsoft.Json;
using System.Configuration;
using System.IO;

namespace Routine_Manager.Settings
{
    public class CRManagerSettings : JsonSettings
    {
        [JsonIgnore]
        private static CRManagerSettings _instance;
        public static CRManagerSettings instance { get { return _instance ?? (_instance = new CRManagerSettings("CRManagerSettings")); } }
        public CRManagerSettings(string filename) : base(Path.Combine(CharacterSettingsDirectory, "CRManager.json")) { }

        [Setting]
        public string CurrentSelectedCR { get; set; }
        //public string RetainerName_2 { get; set; }
        //public string RetainerName_3 { get; set; }
        //public string RetainerName_4 { get; set; }
        //public string Lan_Complete { get; set; }
        //public string Lan_Quit { get; set; }
        //public string Lan_V_Complete { get; set; }
    }
}
